net.minecraft.block

## Class BlockVine

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockVine

- All Implemented Interfaces:
    IShearable

      public class BlockVine
      extends Block
      implements IShearable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockVine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canPlaceBlockOnSide(World p_149707_1_, int p_149707_2_, int p_149707_3_, int p_149707_4_, int p_149707_5_)`
    `int` | `colorMultiplier(IBlockAccess p_149720_1_, int p_149720_2_, int p_149720_3_, int p_149720_4_)`
    `int` | `getBlockColor()`
    `AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World p_149668_1_, int p_149668_2_, int p_149668_3_, int p_149668_4_)`
    `Item` | `getItemDropped(int p_149650_1_, java.util.Random p_149650_2_, int p_149650_3_)`
    `int` | `getRenderColor(int p_149741_1_)`
    `int` | `getRenderType()`
    `void` | `harvestBlock(World p_149636_1_, EntityPlayer p_149636_2_, int p_149636_3_, int p_149636_4_, int p_149636_5_, int p_149636_6_)`
    `boolean` | `isLadder(IBlockAccess world, int x, int y, int z, EntityLivingBase entity)` Checks if a player or entity can use this block to 'climb' like a ladder.
    `boolean` | `isOpaqueCube()`
    `boolean` | `isShearable(ItemStack item, IBlockAccess world, int x, int y, int z)` Checks if the object is currently shearable Example: Sheep return false when they have no wool
    `int` | `onBlockPlaced(World p_149660_1_, int p_149660_2_, int p_149660_3_, int p_149660_4_, int p_149660_5_, float p_149660_6_, float p_149660_7_, float p_149660_8_, int p_149660_9_)`
    `void` | `onNeighborBlockChange(World p_149695_1_, int p_149695_2_, int p_149695_3_, int p_149695_4_, Block p_149695_5_)`
    `java.util.ArrayList<ItemStack>` | `onSheared(ItemStack item, IBlockAccess world, int x, int y, int z, int fortune)` Performs the shear function on this object.
    `int` | `quantityDropped(java.util.Random p_149745_1_)`
    `boolean` | `renderAsNormalBlock()`
    `void` | `setBlockBoundsBasedOnState(IBlockAccess p_149719_1_, int p_149719_2_, int p_149719_3_, int p_149719_4_)`
    `void` | `setBlockBoundsForItemRender()`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIcon, getIdFromBlock, getItem, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockVine

          public BlockVine()

  - ### Method Detail

    - #### setBlockBoundsForItemRender

          public void setBlockBoundsForItemRender()

      Overrides:
        `setBlockBoundsForItemRender` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### setBlockBoundsBasedOnState

          public void setBlockBoundsBasedOnState(IBlockAccess p_149719_1_,
                                        int p_149719_2_,
                                        int p_149719_3_,
                                        int p_149719_4_)

      Overrides:
        `setBlockBoundsBasedOnState` in class `Block`

    - #### getCollisionBoundingBoxFromPool

          public AxisAlignedBB getCollisionBoundingBoxFromPool(World p_149668_1_,
                                                      int p_149668_2_,
                                                      int p_149668_3_,
                                                      int p_149668_4_)

      Overrides:
        `getCollisionBoundingBoxFromPool` in class `Block`

    - #### canPlaceBlockOnSide

          public boolean canPlaceBlockOnSide(World p_149707_1_,
                                    int p_149707_2_,
                                    int p_149707_3_,
                                    int p_149707_4_,
                                    int p_149707_5_)

      Overrides:
        `canPlaceBlockOnSide` in class `Block`

    - #### getBlockColor

          public int getBlockColor()

      Overrides:
        `getBlockColor` in class `Block`

    - #### getRenderColor

          public int getRenderColor(int p_149741_1_)

      Overrides:
        `getRenderColor` in class `Block`

    - #### colorMultiplier

          public int colorMultiplier(IBlockAccess p_149720_1_,
                            int p_149720_2_,
                            int p_149720_3_,
                            int p_149720_4_)

      Overrides:
        `colorMultiplier` in class `Block`

    - #### onNeighborBlockChange

          public void onNeighborBlockChange(World p_149695_1_,
                                   int p_149695_2_,
                                   int p_149695_3_,
                                   int p_149695_4_,
                                   Block p_149695_5_)

      Overrides:
        `onNeighborBlockChange` in class `Block`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `Block`

    - #### onBlockPlaced

          public int onBlockPlaced(World p_149660_1_,
                          int p_149660_2_,
                          int p_149660_3_,
                          int p_149660_4_,
                          int p_149660_5_,
                          float p_149660_6_,
                          float p_149660_7_,
                          float p_149660_8_,
                          int p_149660_9_)

      Overrides:
        `onBlockPlaced` in class `Block`

    - #### getItemDropped

          public Item getItemDropped(int p_149650_1_,
                            java.util.Random p_149650_2_,
                            int p_149650_3_)

      Overrides:
        `getItemDropped` in class `Block`

    - #### quantityDropped

          public int quantityDropped(java.util.Random p_149745_1_)

      Overrides:
        `quantityDropped` in class `Block`

    - #### harvestBlock

          public void harvestBlock(World p_149636_1_,
                          EntityPlayer p_149636_2_,
                          int p_149636_3_,
                          int p_149636_4_,
                          int p_149636_5_,
                          int p_149636_6_)

      Overrides:
        `harvestBlock` in class `Block`

    - #### isShearable

          public boolean isShearable(ItemStack item,
                            IBlockAccess world,
                            int x,
                            int y,
                            int z)

      Description copied from interface: `IShearable`
      Checks if the object is currently shearable Example: Sheep return false when they have no wool
      Specified by:
        `isShearable` in interface `IShearable`
      Parameters:
        `item` - The itemstack that is being used, Possible to be null
        `world` - The current world
        `x` - The X Position
        `y` - The Y Position
        `z` - The Z Position
      Returns:
        If this is shearable, and onSheared should be called.

    - #### onSheared

          public java.util.ArrayList<ItemStack> onSheared(ItemStack item,
                                                 IBlockAccess world,
                                                 int x,
                                                 int y,
                                                 int z,
                                                 int fortune)

      Description copied from interface: `IShearable`
      Performs the shear function on this object. This is called for both client, and server. The object should perform all actions related to being sheared, except for dropping of the items, and removal of the block. As those are handled by ItemShears itself. Returns a list of items that resulted from the shearing process. For entities, they should trust there internal location information over the values passed into this function.
      Specified by:
        `onSheared` in interface `IShearable`
      Parameters:
        `item` - The itemstack that is being used, Possible to be null
        `world` - The current world
        `x` - The X Position
        `y` - The Y Position
        `z` - The Z Position
        `fortune` - The fortune level of the shears being used
      Returns:
        A ArrayList containing all items from this shearing. Possible to be null.

    - #### isLadder

          public boolean isLadder(IBlockAccess world,
                         int x,
                         int y,
                         int z,
                         EntityLivingBase entity)

      Description copied from class: `Block`
      Checks if a player or entity can use this block to 'climb' like a ladder.
      Overrides:
        `isLadder` in class `Block`
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y position
        `z` - Z position
        `entity` - The entity trying to use the ladder, CAN be null.
      Returns:
        True if the block should act like a ladder